#!/bin/sh

set -e
set -x
export OSLO_PACKAGE_VERSION=$(dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

CWD=$(pwd)
PYTHON3S=$(py3versions -vs)
for i in ${PYTHON3S} ; do
	python${i} setup.py install --install-layout=deb --root ${CWD}/debian/tmp
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python3 -m coverage run \
		manage.py test -v 2 trove_dashboard --settings=trove_dashboard.test.settings
done
